<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="supernode">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>supernode</refname>
    <refpurpose> remplace un groupe de sommets par un super-sommet  </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>g1 = supernode(v,g)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Paramètres</title>
    <variablelist>
      <varlistentry>
        <term>v  </term>
        <listitem>
          <para>vecteur ligne, numéros des sommets 
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>g  </term>
        <listitem>
          <para>graphe (liste)
</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>g1  </term>
        <listitem>
          <para>nouveau graphe (liste) 
</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>supernode</literal> renvoie le graphe <literal>g1</literal> avec les sommets de numéros donnés
    par le vecteur <literal>v</literal> contractés en un seul sommet. Le numéro du super-sommet 
    est le plus petit numéro de <literal>v</literal>. Les caractéristiques des anciens sommets
    et arêtes sont conservées. Le super-sommet est positionné au barycentre des sommets de
    <literal>v</literal>. Le diamètre et l'épaisseur du super-sommet sont le double de ceux du sommet remplacé.
  </para>
    <para>
    La demande du nouveau sommet, si elle est définie, est la somme des demandes des sommets contractés.
  </para>
  </refsection>
  <refsection>
    <title>Exemples</title>
    <programlisting role="example"><![CDATA[ 
ta=[1 1 2 2 2 3 4 5 5 7 8 8 9 10 10 10 10 10 11 12 13 13 13 14 15 16 16 17 17];
he=[2 10 3 5 7 4 2 4 6 8 6 9 7 7 11 13 13 15 12 13 9 10 14 11 16 1 17 14 15];
g=make_graph('foo',1,17,ta,he);
g.nodes.graphics.x=[283 163 63 57 164 164 273 271 339 384 504 513 439 623 631 757 642]/2;
g.nodes.graphics.y=[59 133 223 318 227 319 221 324 432 141 209 319 428 443 187 151 301]/2;
show_graph(g);

v=[7 10 13 9];
hilite_nodes(v);
g1=supernode(v,g);

show_graph(g1,'new');

//verification par superposition des 2 graphes
g1.nodes.graphics.diam(:)=g2.nodes.graphics.defaults.diam/2
g1.nodes.graphics.colors(2,:)=5;
g1.edges.graphics.foreground(:)=5;
g.edges.graphics.width(:)=4;
show_graph(graph_union(g,g1,%f))
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="add_edge">add_edge</link>
      </member>
      <member>
        <link linkend="add_node">add_node</link>
      </member>
      <member>
        <link linkend="delete_arcs">delete_arcs</link>
      </member>
      <member>
        <link linkend="delete_nodes">delete_nodes</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
